Genivia - apache_gsoap.h File Reference

|  | Home | Documentation | apache_gsoap.h File Reference updated Thu Jun 24 2021 by Robert van Engelen |

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
apache_gsoap.h File Reference
`#include <httpd.h>`
Include dependency graph for apache_gsoap.h:
This graph shows which files directly or indirectly include this file:

## Classes
struct | apache_soap_interface

## Macros
#define | APACHE_GSOAP_INTERFACE_VERSION 10000 /* 1.0 */
#define | APACHE_HTTPSERVER_ENTRY_POINT "apache_init_soap_interface"
#define | IMPLEMENT_GSOAP_SERVER_INIT(INIT)
#define | IMPLEMENT_GSOAP_SERVER() IMPLEMENT_GSOAP_SERVER_INIT(NULL)

## Typedefs
typedef SOAP_FMAC1 void(SOAP_FMAC2 * | apache_soap_init_fn) (struct soap *, request_rec *)
typedef SOAP_FMAC1 int(SOAP_FMAC2 * | apache_soap_serve_fn) (struct soap *, request_rec *)
typedef SOAP_FMAC1 void(SOAP_FMAC2 * | apache_soap_destroy_fn) (struct soap *, request_rec *)
typedef SOAP_FMAC1 | void(SOAP_FMAC2 *apache_soap_end_fn) (struct soap *
typedef SOAP_FMAC1 request_rec *typedef SOAP_FMAC1 request_rec *typedef SOAP_FMAC1 | int(SOAP_FMAC2 *apache_soap_register_plugin_fn) (struct soap *
typedef SOAP_FMAC1 request_rec *typedef SOAP_FMAC1 request_rec *typedef SOAP_FMAC1 int(* | fcreate) (struct soap *, struct soap_plugin *, void *)
typedef SOAP_FMAC1 request_rec *typedef SOAP_FMAC1 request_rec *typedef SOAP_FMAC1 int(*) void | arg)
typedef SOAP_FMAC1 request_rec *typedef SOAP_FMAC1 request_rec *typedef SOAP_FMAC1 int(*) void request_rec *typedef SOAP_FMAC1 void *SOAP_FMAC2(* | apache_soap_lookup_plugin_fn) (struct soap *, const char *, request_rec *)
typedef void(* | apache_init_soap_interface_fn) (struct apache_soap_interface *, request_rec *)

## Functions
SOAP_FMAC1 void SOAP_FMAC2 | apache_soap_soap_destroy (struct soap *, request_rec *r)
SOAP_FMAC1 void SOAP_FMAC2 | apache_default_soap_init (struct soap *soap, request_rec *r)
SOAP_FMAC1 int SOAP_FMAC2 | apache_default_soap_serve (struct soap *soap, request_rec *r)
SOAP_FMAC1 void SOAP_FMAC2 | apache_default_soap_end (struct soap *soap, request_rec *r)
SOAP_FMAC1 void SOAP_FMAC2 | apache_default_soap_done (struct soap *soap, request_rec *r)
SOAP_FMAC1 int SOAP_FMAC2 | apache_default_soap_register_plugin_arg (struct soap *, int(*fcreate)(struct soap *, struct soap_plugin *, void *), void *arg, request_rec *)
SOAP_FMAC1 void *SOAP_FMAC2 | apache_default_soap_lookup_plugin (struct soap *soap, const char *plugin, request_rec *)
SOAP_FMAC1 void SOAP_FMAC2 | apache_init_soap_interface (struct apache_soap_interface *, request_rec *)

## Detailed Description

Interface between the apache http - server (http://httpd.apache.org) and the gsoap stack (http://www.genivia.com)

## Macro Definition Documentation

#define APACHE_GSOAP_INTERFACE_VERSION 10000 /* 1.0 */

#define APACHE_HTTPSERVER_ENTRY_POINT "apache_init_soap_interface"

#define IMPLEMENT_GSOAP_SERVER | ( |  | ) | IMPLEMENT_GSOAP_SERVER_INIT(NULL)

#define IMPLEMENT_GSOAP_SERVER_INIT | ( |  | INIT | ) |

## Typedef Documentation

typedef void(* apache_init_soap_interface_fn) (struct apache_soap_interface *, request_rec *)

typedef SOAP_FMAC1 void(SOAP_FMAC2 * apache_soap_destroy_fn) (struct soap *, request_rec *)

typedef SOAP_FMAC1 void(SOAP_FMAC2 * apache_soap_init_fn) (struct soap *, request_rec *)

typedef SOAP_FMAC1 request_rec* typedef SOAP_FMAC1 request_rec* typedef SOAP_FMAC1 int(*) void request_rec* typedef SOAP_FMAC1 void* SOAP_FMAC2(* apache_soap_lookup_plugin_fn) (struct soap *, const char *, request_rec *)

typedef SOAP_FMAC1 int(SOAP_FMAC2 * apache_soap_serve_fn) (struct soap *, request_rec *)

typedef SOAP_FMAC1 request_rec* typedef SOAP_FMAC1 request_rec* typedef SOAP_FMAC1 int(*) void arg)

typedef SOAP_FMAC1 request_rec* typedef SOAP_FMAC1 request_rec* typedef SOAP_FMAC1 int(* fcreate) (struct soap *, struct soap_plugin *, void *)

typedef SOAP_FMAC1 request_rec* typedef SOAP_FMAC1 request_rec* typedef SOAP_FMAC1 int(SOAP_FMAC2 *apache_soap_register_plugin_fn)(struct soap *

typedef SOAP_FMAC1 request_rec *typedef SOAP_FMAC1 void(SOAP_FMAC2 *apache_soap_done_fn)(struct soap *

## Function Documentation

SOAP_FMAC1 void SOAP_FMAC2 apache_default_soap_done | ( | struct soap * | soap,
|  | request_rec * | r
| ) |  |

SOAP_FMAC1 void SOAP_FMAC2 apache_default_soap_end | ( | struct soap * | soap,
|  | request_rec * | r
| ) |  |

SOAP_FMAC1 void SOAP_FMAC2 apache_default_soap_init | ( | struct soap * | soap,
|  | request_rec * | r
| ) |  |

SOAP_FMAC1 void* SOAP_FMAC2 apache_default_soap_lookup_plugin | ( | struct soap * | soap,
|  | const char * | plugin,
|  | request_rec * |
| ) |  |

SOAP_FMAC1 int SOAP_FMAC2 apache_default_soap_register_plugin_arg | ( | struct soap * | ,
|  | int(*)(struct soap *, struct soap_plugin *, void *) | fcreate,
|  | void * | arg,
|  | request_rec * |
| ) |  |

SOAP_FMAC1 int SOAP_FMAC2 apache_default_soap_serve | ( | struct soap * | soap,
|  | request_rec * | r
| ) |  |

SOAP_FMAC1 void SOAP_FMAC2 apache_init_soap_interface | ( | struct apache_soap_interface * | ,
|  | request_rec * |
| ) |  |

SOAP_FMAC1 void SOAP_FMAC2 apache_soap_soap_destroy | ( | struct soap * | ,
|  | request_rec * | r
| ) |  |